Bug 101860 - Fn or Enter keys not read by screen reader in menu item shortcuts on gtk2 (a11y)
Summary: Fn or Enter keys not read by screen reader in menu item shortcuts on gtk2 (a11y)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-Linux GTK2
  Show dependency treegraph
 
Reported: 2016-09-02 13:27 UTC by Yousuf Philips (jay)
Modified: 2017-10-26 08:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2016-09-02 13:27:48 UTC
Steps:
1) Turn on orca screen reader
2) Open Writer
3) Press Alt+V to open the View menu
4) Scroll down to any of the items that have an Fn key and notice the key wont be read
5) Open the Insert menu and notice it will only say Ctrl when reading the shortcut for page break.

Version: 5.3.0.0.alpha0+
Build ID: 139d3b3e8b157c1f365f888126269f0902acbaa2
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-26_00:01:39
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 V Stuart Foote 2016-09-02 13:39:33 UTC
Hmmm, on Windows 10 Pro 64-bit en-US with
Version: 5.2.1.2 (x64)
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; 
Locale: en-US (en_US); Calc: group

NVDA 2016.2.1 reads the defined shortcuts and accelerator keys if set including any of the function keys.  Is this an Orca configuration issue?
Comment 2 Joanmarie Diggs 2016-09-02 13:45:47 UTC
No it is not an Orca issue. If you use Accerciser, you can select the menu item in Accerciser's object tree. Then in Accerciser's Interface Viewer Tab, expand Action.

Here's what I see for Field Shadings (Ctrl+F8):
click l;<Alt>vl;<Control>

And Styles and Formatting (F11):
click y;<Alt>vy;

Compare that with Full Screen (Ctrl+Shift+J):
click u;<Alt>vu;<Shift><Control>j
Comment 3 Aron Budea 2016-09-02 14:30:52 UTC
I went back to v4.0.0.3 (Ubuntu 16.04 + Orca), and the behavior was the same back then. Has this never worked properly?
Comment 4 Yousuf Philips (jay) 2016-09-02 17:15:49 UTC
So tested Windows and Gtk3 builds and they dont have this issue, so its limited to Gtk2 builds. Tested 4.2.8 and 3.3.0 and it didnt work there either.
Comment 5 QA Administrators 2017-10-26 08:10:06 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug